Skip to main content
POST
/
v1
/
yativo-card
/
{yativoCardId}
/
transactions
/
{transactionId}
/
dispute
curl -X POST 'https://crypto-api.yativo.com/api/v1/yativo-card/yvc_01HX9KZMB3F7VNQP8R2WDGT4EI/transactions/ctxn_01HX9KZMB3F7VNQP8R2WDGT4EL/dispute' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
    "reasonCode": "unauthorized",
    "description": "I did not make this purchase. My card details may have been compromised."
  }'
{
  "status": "success",
  "message": "Dispute filed successfully",
  "data": {
    "dispute_id": "dsp_01HX9KZMB3F7VNQP8R2WDGT4EM",
    "transaction_id": "ctxn_01HX9KZMB3F7VNQP8R2WDGT4EL",
    "reasonCode": "unauthorized",
    "status": "open",
    "created_at": "2026-03-26T12:00:00Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.yativo.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorization
string
required
Bearer token: Bearer YOUR_ACCESS_TOKEN
yativoCardId
string
required
The Yativo Card account ID.
transactionId
string
required
The ID of the transaction to dispute.
reasonCode
string
required
The reason code for the dispute. Retrieve valid codes from the Get Dispute Reasons endpoint.
description
string
Optional additional description providing more context about the dispute.
curl -X POST 'https://crypto-api.yativo.com/api/v1/yativo-card/yvc_01HX9KZMB3F7VNQP8R2WDGT4EI/transactions/ctxn_01HX9KZMB3F7VNQP8R2WDGT4EL/dispute' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
    "reasonCode": "unauthorized",
    "description": "I did not make this purchase. My card details may have been compromised."
  }'
{
  "status": "success",
  "message": "Dispute filed successfully",
  "data": {
    "dispute_id": "dsp_01HX9KZMB3F7VNQP8R2WDGT4EM",
    "transaction_id": "ctxn_01HX9KZMB3F7VNQP8R2WDGT4EL",
    "reasonCode": "unauthorized",
    "status": "open",
    "created_at": "2026-03-26T12:00:00Z"
  }
}